-- VT_Mon.vhd

--IMPORTANT-READ THESE TERMS CAREFULLY BEFORE UTILIZING THE INFORMATION CONTAINED IN THIS APPLICATION NOTE. 
--
--NO SUPPORT/NO WARRANTY.  
--THE DESIGN FILES AND DOCUMENTATION ARE PROVIDED WITHOUT SUPPORT OR WARRANTY OF ANY KIND.  
--ACTEL IS NOT OBLIGATED TO PROVIDE UPDATES, BUG FIXES, OR TECHNICAL SUPPORT AND DISCLAIMS ALL WARRANTIES INCLUDING, 
--WITHOUT LIMITATION, THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE, AND WARRANTIES OF 
--NON-INFRINGEMENT OF THE RIGHTS OF THIRD PARTIES (INCLUDING, WITHOUT LIMITATION, RIGHTS UNDER PATENT, COPYRIGHT, 
--TRADE SECRET, OR OTHER INTELLECTUAL PROPERTY RIGHTS).  RECIPIENT ACCEPTS THE APPLICATION NOTE DESIGN FILES AND 
--DOCUMENTATION IN "AS-IS" CONDITION.

library ieee;
use ieee.std_logic_1164.all;
use ieee.std_logic_unsigned.all;
use ieee.std_logic_arith.all;

entity VT_Mon is
port (SYS_CLK, SYS_RESET, INIT_POWER_UP: in std_logic;
      Ia1con, Ic2con, I28con, B_plus_con: in std_logic;
      Ta1, Tb2, Tboard, IsFcon, AC_Bus_con: in std_logic;
      Ic1con, Ia2con, A28V_PORcon, FieldPWM_con: in std_logic; 
      Tb1, Ta2, A4Vrefcon, Equalizer_con, AC_current_con: in std_logic;
      VAREF: inout std_logic;
      RESULT_AV5V: out std_logic_vector(11 downto 0);
      RESULT_TEMP: out std_logic_vector(11 downto 0)
      );
end VT_Mon;

architecture RTL of VT_Mon is

-- internal signals
signal INIT_DONE_net: std_logic;
signal SYS_CLK_net: std_logic;
signal SYS_CLK_int: std_logic;
signal SYS_RESET_net: std_logic;
signal VAREF_net: std_logic;
signal Ia1con_net: std_logic; 
signal Ic2con_net: std_logic;
signal I28con_net: std_logic;
signal B_plus_con_net: std_logic;
signal Ta1_net: std_logic;
signal Tb2_net: std_logic;
signal Tboard_net: std_logic;
signal IsFcon_net: std_logic;
signal AC_Bus_con_net: std_logic;
signal Ic1con_net: std_logic;
signal Ia2con_net: std_logic;
signal A28V_PORcon_net: std_logic;
signal FieldPWM_con_net: std_logic;
signal Tb1_net: std_logic;
signal Ta2_net: std_logic;
signal A4Vrefcon_net: std_logic;
signal Equalizer_con_net: std_logic;
signal AC_current_con_net: std_logic;
signal INIT_ADDR_net: std_logic_vector(8 downto 0);
signal INIT_DATA_net: std_logic_vector(8 downto 0);
signal INIT_ACM_WEN_net: std_logic;
signal INIT_ASSC_WEN_net: std_logic;
signal INIT_POWER_UP_net: std_logic;
signal CLK10M: std_logic;
signal count: std_logic_vector(1 downto 0);
signal ADC_RESULT_net: std_logic_vector(11 downto 0);
signal ADC_CHNUMBER_net: std_logic_vector(4 downto 0);
signal ADC_TEMP: std_logic_vector(11 downto 0);
signal ADC_AV5V: std_logic_vector(11 downto 0);
signal DATAVALID_net: std_logic;
signal ASSC_CHLATD_net: std_logic;

-- component declarations
component Analog2
port(SYS_CLK, SYS_RESET : in std_logic; 
     VAREF : inout std_logic := 'Z'; 
     DATAVALID : out std_logic; 
     Ia1con, Ic2con, I28con, B_plus_con, Ta1, Tb2, Tboard, IsFcon, 
     AC_Bus_con, Ic1con, Ia2con, A28V_PORcon, FieldPWM_con, 
     Tb1, Ta2, A4Vrefcon, Equalizer_con, AC_current_con : in
     std_logic; ASSC_SEQIN : in std_logic_vector(5 downto 0); 
     ASSC_XMODE, ASSC_XTRIG, ASSC_SEQJUMP : in std_logic; 
     ASSC_DONE, ASSC_WAIT, ASSC_CHSAT, ASSC_CHLATD, 
     ASSC_SEQCHANGE : out std_logic; ASSC_SEQOUT : out std_logic_vector(5 downto 0);
     ASSC_SAMPFLAG : out std_logic; 
     INIT_ADDR : in std_logic_vector(8 downto 0); 
     INIT_DATA : in std_logic_vector(8 downto 0); 
     INIT_ACM_WEN, INIT_ASSC_WEN, INIT_DONE : in std_logic; 
     ADC_RESULT : out std_logic_vector(11 downto 0); 
     ADC_CHNUMBER : out std_logic_vector(4 downto 0); ACMCLK : in std_logic; 
     ACMRDATA_I : out std_logic_vector(7 downto 0)
     );
end component Analog2;

component NVM_sysm is
port(INIT_CLK, SYS_RESET, INIT_POWER_UP : in std_logic; 
     INIT_DONE : out std_logic;
     INIT_DATA : out std_logic_vector(8 downto 0); 
     INIT_ADDR : out std_logic_vector(8 downto 0); 
     INIT_ACM_WEN, INIT_ASSC_WEN : out std_logic
     );
end component NVM_sysm;

-- constant declarations
--constant mode: integer:= 8;        -- set ADC mode; 8 = 8 bit, 10 = 10 bit, 12 = 12 bit

begin

-- connections to top level ports
SYS_RESET_net <= SYS_RESET;
SYS_CLK_net <= SYS_CLK;
INIT_POWER_UP_net <= INIT_POWER_UP;
Ia1con_net <= Ia1con;
Ic2con_net <= Ic2con;
I28con_net <= I28con;
B_plus_con_net <= B_plus_con;
Ta1_net <= Ta1;
Tb2_net <= Tb2;
Tboard_net <= Tboard;
IsFcon_net <= IsFcon; 
AC_Bus_con_net <= AC_Bus_con;
Ic1con_net <= Ic1con;
Ia2con_net <= Ia2con;
A28V_PORcon_net <= A28V_PORcon;
FieldPWM_con_net <= FieldPWM_con; 
Tb1_net <= Tb1;
Ta2_net <= Ta2;
A4Vrefcon_net <= A4Vrefcon;
Equalizer_con_net <= Equalizer_con;
AC_current_con_net <= AC_current_con;


-- divide 40 MHz input clock by 4 to generate 10 MHz init clock
process (SYS_CLK_net, SYS_RESET_net)
begin
if (SYS_RESET_net = '0') then
  count <= (others => '0');
elsif (SYS_CLK_net'event and SYS_CLK_net= '1') then
  count <= count + 1;
end if;
end process;

CLK10M <= count(1);

-- multiplex CLK10M and SYS_CLK for initialization
SYS_CLK_int <= SYS_CLK_net when INIT_DONE_net = '1' else CLK10M;

-- instantiate Analog block
Analog_inst: Analog2 port map
             (
              SYS_CLK => SYS_CLK_int, 
              SYS_RESET => SYS_RESET_net,
              VAREF => VAREF_net,
              DATAVALID => DATAVALID_net,
              Ia1con => Ia1con_net, 
              Ic2con => Ic2con_net, 
              I28con => I28con_net, 
              B_plus_con => B_plus_con_net, 
              Ta1 => Ta1_net, 
              Tb2 => Tb2_net, 
              Tboard => Tboard_net, 
              IsFcon => IsFcon_net, 
              AC_Bus_con => AC_Bus_con_net, 
              Ic1con => Ic1con_net, 
              Ia2con => Ia2con_net, 
              A28V_PORcon => A28V_PORcon_net, 
              FieldPWM_con => FieldPWM_con_net, 
              Tb1 => Tb1_net, 
              Ta2 => Ta2_net, 
              A4Vrefcon => A4Vrefcon_net, 
              Equalizer_con => Equalizer_con_net, 
              AC_current_con => AC_current_con_net,
              ASSC_SEQIN => (others => '0'),
              ASSC_XMODE => '0', 
              ASSC_XTRIG => '0', 
              ASSC_SEQJUMP => '0', 
              ASSC_DONE => open,
              ASSC_WAIT => open,
              ASSC_CHSAT => open, 
              ASSC_CHLATD => ASSC_CHLATD_net, 
              ASSC_SEQCHANGE => open,
              ASSC_SEQOUT => open,
              ASSC_SAMPFLAG => open,
              INIT_ADDR => INIT_ADDR_net,
              INIT_DATA => INIT_DATA_net,
              INIT_ACM_WEN => INIT_ACM_WEN_net, 
              INIT_ASSC_WEN => INIT_ASSC_WEN_net,
              INIT_DONE => INIT_DONE_net, 
              ADC_RESULT => ADC_RESULT_net,
              ADC_CHNUMBER => ADC_CHNUMBER_net,
              ACMCLK => CLK10M, 
              ACMRDATA_I => open
              );

-- instantiate Flash Memory block
NVM_inst: NVM_sysm port map
             (              
              INIT_CLK => SYS_CLK_int,
              SYS_RESET => SYS_RESET_net,
              INIT_POWER_UP => INIT_POWER_UP_net,
              INIT_DONE => INIT_DONE_net,
              INIT_DATA => INIT_DATA_net, 
              INIT_ADDR => INIT_ADDR_net,
              INIT_ACM_WEN => INIT_ACM_WEN_net, 
              INIT_ASSC_WEN => INIT_ASSC_WEN_net                 
              );

end RTL;
