-- Version: 8.4 8.4.0.33

library ieee;
use ieee.std_logic_1164.all;
library fusion;
use fusion.all;

entity Analog_proc1 is

    port( SYS_CLK        : in    std_logic;
          SYS_RESET      : in    std_logic;
          VAREF          : inout std_logic := 'Z';
          DATAVALID      : out   std_logic;
          Volt11         : in    std_logic;
          Volt1          : in    std_logic;
          Volt2          : in    std_logic;
          Volt3          : in    std_logic;
          Volt4          : in    std_logic;
          Volt5          : in    std_logic;
          Volt6          : in    std_logic;
          Volt7          : in    std_logic;
          Volt8          : in    std_logic;
          Volt9          : in    std_logic;
          Volt10         : in    std_logic;
          Volt12         : in    std_logic;
          Volt13         : in    std_logic;
          Volt14         : in    std_logic;
          Volt15         : in    std_logic;
          Volt16         : in    std_logic;
          Volt17         : in    std_logic;
          Volt18         : in    std_logic;
          ASSC_SEQIN     : in    std_logic_vector(5 downto 0);
          ASSC_XMODE     : in    std_logic;
          ASSC_XTRIG     : in    std_logic;
          ASSC_SEQJUMP   : in    std_logic;
          ASSC_DONE      : out   std_logic;
          ASSC_WAIT      : out   std_logic;
          ASSC_CHSAT     : out   std_logic;
          ASSC_CHLATD    : out   std_logic;
          ASSC_SEQCHANGE : out   std_logic;
          ASSC_SEQOUT    : out   std_logic_vector(5 downto 0);
          ASSC_SAMPFLAG  : out   std_logic;
          INIT_ADDR      : in    std_logic_vector(8 downto 0);
          INIT_DATA      : in    std_logic_vector(8 downto 0);
          INIT_ACM_WEN   : in    std_logic;
          INIT_ASSC_WEN  : in    std_logic;
          INIT_DONE      : in    std_logic;
          ADC_RESULT     : out   std_logic_vector(11 downto 0);
          ADC_CHNUMBER   : out   std_logic_vector(4 downto 0);
          ACMCLK         : in    std_logic;
          ACMRDATA_I     : out   std_logic_vector(7 downto 0)
        );

end Analog_proc1;

architecture DEF_ARCH of Analog_proc1 is 

  component INBUF_A
    port( PAD : in    std_logic := 'U';
          Y   : out   std_logic
        );
  end component;

  component AND2A
    port( A : in    std_logic := 'U';
          B : in    std_logic := 'U';
          Y : out   std_logic
        );
  end component;

  component Analog_proc1_abdelay_counter
    port( Aclr   : in    std_logic := 'U';
          Clock  : in    std_logic := 'U';
          Enable : in    std_logic := 'U';
          Q      : out   std_logic_vector(23 downto 0)
        );
  end component;

  component AB
    generic (ACT_DIE:string := ""; ACT_PKG:string := "");

    port( DAVOUT0     : out   std_logic;
          DACOUT0     : out   std_logic;
          DATOUT0     : out   std_logic;
          DAVOUT1     : out   std_logic;
          DACOUT1     : out   std_logic;
          DATOUT1     : out   std_logic;
          DAVOUT2     : out   std_logic;
          DACOUT2     : out   std_logic;
          DATOUT2     : out   std_logic;
          DAVOUT3     : out   std_logic;
          DACOUT3     : out   std_logic;
          DATOUT3     : out   std_logic;
          DAVOUT4     : out   std_logic;
          DACOUT4     : out   std_logic;
          DATOUT4     : out   std_logic;
          DAVOUT5     : out   std_logic;
          DACOUT5     : out   std_logic;
          DATOUT5     : out   std_logic;
          DAVOUT6     : out   std_logic;
          DACOUT6     : out   std_logic;
          DATOUT6     : out   std_logic;
          DAVOUT7     : out   std_logic;
          DACOUT7     : out   std_logic;
          DATOUT7     : out   std_logic;
          DAVOUT8     : out   std_logic;
          DACOUT8     : out   std_logic;
          DATOUT8     : out   std_logic;
          DAVOUT9     : out   std_logic;
          DACOUT9     : out   std_logic;
          DATOUT9     : out   std_logic;
          DENAV0      : in    std_logic := 'U';
          DENAC0      : in    std_logic := 'U';
          DENAT0      : in    std_logic := 'U';
          DENAV1      : in    std_logic := 'U';
          DENAC1      : in    std_logic := 'U';
          DENAT1      : in    std_logic := 'U';
          DENAV2      : in    std_logic := 'U';
          DENAC2      : in    std_logic := 'U';
          DENAT2      : in    std_logic := 'U';
          DENAV3      : in    std_logic := 'U';
          DENAC3      : in    std_logic := 'U';
          DENAT3      : in    std_logic := 'U';
          DENAV4      : in    std_logic := 'U';
          DENAC4      : in    std_logic := 'U';
          DENAT4      : in    std_logic := 'U';
          DENAV5      : in    std_logic := 'U';
          DENAC5      : in    std_logic := 'U';
          DENAT5      : in    std_logic := 'U';
          DENAV6      : in    std_logic := 'U';
          DENAC6      : in    std_logic := 'U';
          DENAT6      : in    std_logic := 'U';
          DENAV7      : in    std_logic := 'U';
          DENAC7      : in    std_logic := 'U';
          DENAT7      : in    std_logic := 'U';
          DENAV8      : in    std_logic := 'U';
          DENAC8      : in    std_logic := 'U';
          DENAT8      : in    std_logic := 'U';
          DENAV9      : in    std_logic := 'U';
          DENAC9      : in    std_logic := 'U';
          DENAT9      : in    std_logic := 'U';
          AV0         : in    std_logic := 'U';
          AC0         : in    std_logic := 'U';
          AT0         : in    std_logic := 'U';
          AG0         : out   std_logic;
          AV1         : in    std_logic := 'U';
          AC1         : in    std_logic := 'U';
          AT1         : in    std_logic := 'U';
          AG1         : out   std_logic;
          AV2         : in    std_logic := 'U';
          AC2         : in    std_logic := 'U';
          AT2         : in    std_logic := 'U';
          AG2         : out   std_logic;
          AV3         : in    std_logic := 'U';
          AC3         : in    std_logic := 'U';
          AT3         : in    std_logic := 'U';
          AG3         : out   std_logic;
          AV4         : in    std_logic := 'U';
          AC4         : in    std_logic := 'U';
          AT4         : in    std_logic := 'U';
          AG4         : out   std_logic;
          AV5         : in    std_logic := 'U';
          AC5         : in    std_logic := 'U';
          AT5         : in    std_logic := 'U';
          AG5         : out   std_logic;
          AV6         : in    std_logic := 'U';
          AC6         : in    std_logic := 'U';
          AT6         : in    std_logic := 'U';
          AG6         : out   std_logic;
          AV7         : in    std_logic := 'U';
          AC7         : in    std_logic := 'U';
          AT7         : in    std_logic := 'U';
          AG7         : out   std_logic;
          AV8         : in    std_logic := 'U';
          AC8         : in    std_logic := 'U';
          AT8         : in    std_logic := 'U';
          AG8         : out   std_logic;
          AV9         : in    std_logic := 'U';
          AC9         : in    std_logic := 'U';
          AT9         : in    std_logic := 'U';
          AG9         : out   std_logic;
          ATRETURN01  : in    std_logic := 'U';
          ATRETURN23  : in    std_logic := 'U';
          ATRETURN45  : in    std_logic := 'U';
          ATRETURN67  : in    std_logic := 'U';
          ATRETURN89  : in    std_logic := 'U';
          VAREF       : inout   std_logic;
          GNDREF      : in    std_logic := 'U';
          GDON0       : in    std_logic := 'U';
          GDON1       : in    std_logic := 'U';
          GDON2       : in    std_logic := 'U';
          GDON3       : in    std_logic := 'U';
          GDON4       : in    std_logic := 'U';
          GDON5       : in    std_logic := 'U';
          GDON6       : in    std_logic := 'U';
          GDON7       : in    std_logic := 'U';
          GDON8       : in    std_logic := 'U';
          GDON9       : in    std_logic := 'U';
          CMSTB0      : in    std_logic := 'U';
          CMSTB1      : in    std_logic := 'U';
          CMSTB2      : in    std_logic := 'U';
          CMSTB3      : in    std_logic := 'U';
          CMSTB4      : in    std_logic := 'U';
          CMSTB5      : in    std_logic := 'U';
          CMSTB6      : in    std_logic := 'U';
          CMSTB7      : in    std_logic := 'U';
          CMSTB8      : in    std_logic := 'U';
          CMSTB9      : in    std_logic := 'U';
          TMSTB0      : in    std_logic := 'U';
          TMSTB1      : in    std_logic := 'U';
          TMSTB2      : in    std_logic := 'U';
          TMSTB3      : in    std_logic := 'U';
          TMSTB4      : in    std_logic := 'U';
          TMSTB5      : in    std_logic := 'U';
          TMSTB6      : in    std_logic := 'U';
          TMSTB7      : in    std_logic := 'U';
          TMSTB8      : in    std_logic := 'U';
          TMSTB9      : in    std_logic := 'U';
          TMSTBINT    : in    std_logic := 'U';
          RESULT      : out   std_logic_vector(11 downto 0);
          ACMRDATA    : out   std_logic_vector(7 downto 0);
          ACMWDATA    : in    std_logic_vector(7 downto 0) := (others => 'U');
          ACMADDR     : in    std_logic_vector(7 downto 0) := (others => 'U');
          STC         : in    std_logic_vector(7 downto 0) := (others => 'U');
          TVC         : in    std_logic_vector(7 downto 0) := (others => 'U');
          CHNUMBER    : in    std_logic_vector(4 downto 0) := (others => 'U');
          MODE        : in    std_logic_vector(3 downto 0) := (others => 'U');
          RTCXTLMODE  : out   std_logic_vector(1 downto 0);
          ACMRESET    : in    std_logic := 'U';
          ACMCLK      : in    std_logic := 'U';
          ACMWEN      : in    std_logic := 'U';
          VAREFSEL    : in    std_logic := 'U';
          DATAVALID   : out   std_logic;
          CALIBRATE   : out   std_logic;
          SAMPLE      : out   std_logic;
          BUSY        : out   std_logic;
          PWRDWN      : in    std_logic := 'U';
          SYSCLK      : in    std_logic := 'U';
          ADCRESET    : in    std_logic := 'U';
          ADCSTART    : in    std_logic := 'U';
          RTCMATCH    : out   std_logic;
          RTCPSMMATCH : out   std_logic;
          RTCXTLSEL   : out   std_logic;
          RTCCLK      : in    std_logic := 'U'
        );
  end component;

  component Analog_proc1_assc_ram
    port( DATAA    : in    std_logic_vector(8 downto 0) := (others => 'U');
          ADDRESSA : in    std_logic_vector(8 downto 0) := (others => 'U');
          RWA      : in    std_logic := 'U';
          BLKA     : in    std_logic := 'U';
          DATAB    : in    std_logic_vector(8 downto 0) := (others => 'U');
          ADDRESSB : in    std_logic_vector(8 downto 0) := (others => 'U');
          RWB      : in    std_logic := 'U';
          BLKB     : in    std_logic := 'U';
          CLOCK    : in    std_logic := 'U';
          RESET    : in    std_logic := 'U';
          QA       : out   std_logic_vector(8 downto 0);
          QB       : out   std_logic_vector(8 downto 0)
        );
  end component;

  component OR2
    port( A : in    std_logic := 'U';
          B : in    std_logic := 'U';
          Y : out   std_logic
        );
  end component;

  component Analog_proc1_assc_wrapper
    port( CLK                : in    std_logic := 'U';
          NRESET             : in    std_logic := 'U';
          INIT_ADDR          : in    std_logic_vector(8 downto 0) := (others => 'U');
          INIT_ASSC_WR       : in    std_logic := 'U';
          INIT_DI            : in    std_logic_vector(8 downto 0) := (others => 'U');
          INIT_DONE          : in    std_logic := 'U';
          USER_ASSC_ADDR     : in    std_logic_vector(8 downto 0) := (others => 'U');
          USER_ASSC_RD       : in    std_logic := 'U';
          EV_ASSC_ADDR       : in    std_logic_vector(8 downto 0) := (others => 'U');
          EV_ASSC_RD         : in    std_logic := 'U';
          EV_EVFLAG          : in    std_logic := 'U';
          EV_DONE            : in    std_logic := 'U';
          TR_TRFLAG          : in    std_logic := 'U';
          TR_DONE            : in    std_logic := 'U';
          ASSC_SEQIN         : in    std_logic_vector(5 downto 0) := (others => 'U');
          ASSC_RAM_DO_B      : in    std_logic_vector(8 downto 0) := (others => 'U');
          ASSC_XMODE         : in    std_logic := 'U';
          ASSC_XTRIG         : in    std_logic := 'U';
          ASSC_SEQJUMP       : in    std_logic := 'U';
          ADC_CALIBRATE      : in    std_logic := 'U';
          ADC_BUSY           : in    std_logic := 'U';
          ADC_RESULT         : in    std_logic_vector(11 downto 0) := (others => 'U');
          USER_ASSC_RAM_BUSY : out   std_logic;
          ASSC_RAM_ADDR_A    : out   std_logic_vector(8 downto 0);
          ASSC_RAM_RW_A      : out   std_logic;
          ASSC_RAM_CSN_A     : out   std_logic;
          ASSC_RAM_DI_A      : out   std_logic_vector(8 downto 0);
          ASSC_RAM_ADDR_B    : out   std_logic_vector(8 downto 0);
          ASSC_RAM_RW_B      : out   std_logic;
          ASSC_RAM_CSN_B     : out   std_logic;
          ASSC_RAM_DI_B      : out   std_logic_vector(8 downto 0);
          ASSC_SEQOUT        : out   std_logic_vector(5 downto 0);
          ASSC_SEQCHANGE     : out   std_logic;
          ASSC_DONE          : out   std_logic;
          ASSC_WAIT          : out   std_logic;
          ASSC_SAMPFLAG      : out   std_logic;
          ASSC_CHSAT         : out   std_logic;
          ASSC_CHLATD        : out   std_logic;
          ADC_START          : out   std_logic;
          ADC_PDOWN          : out   std_logic;
          ADC_RESET          : out   std_logic;
          ADC_MODE           : out   std_logic_vector(3 downto 0);
          ADC_VREFSEL        : out   std_logic;
          ADC_CHNR           : out   std_logic_vector(4 downto 0);
          ADC_STC            : out   std_logic_vector(7 downto 0);
          ADC_DVC            : out   std_logic_vector(7 downto 0);
          CM_STB             : out   std_logic_vector(9 downto 0);
          TM_STB             : out   std_logic_vector(10 downto 0);
          ASSC_RAM_WR_BUSY_B : out   std_logic
        );
  end component;

  component DFN0P0
    port( D   : in    std_logic := 'U';
          CLK : in    std_logic := 'U';
          PRE : in    std_logic := 'U';
          Q   : out   std_logic
        );
  end component;

  component OR2A
    port( A : in    std_logic := 'U';
          B : in    std_logic := 'U';
          Y : out   std_logic
        );
  end component;

  component DFN0C0
    port( D   : in    std_logic := 'U';
          CLK : in    std_logic := 'U';
          CLR : in    std_logic := 'U';
          Q   : out   std_logic
        );
  end component;

  component GND
    port(Y : out std_logic); 
  end component;

  component VCC
    port(Y : out std_logic); 
  end component;

    signal GND_net, VCC_net, ABDELAY_TERMINAL_COUNT_net, 
        ABDELAY_ENABLE_net, ABDELAY_GATED_CLK_net, 
        ASSC_RAM_RW_A_net, ASSC_RAM_CSN_A_net : std_logic;
    signal ASSC_RAM_DI_A_net : std_logic_vector(8 downto 0);
    signal ASSC_RAM_ADDR_A_net : std_logic_vector(8 downto 0);
    signal ASSC_RAM_RW_B_net, ASSC_RAM_CSN_B_net : std_logic;
    signal ASSC_RAM_DI_B_net : std_logic_vector(8 downto 0);
    signal ASSC_RAM_ADDR_B_net : std_logic_vector(8 downto 0);
    signal ASSC_RAM_DO_B_net : std_logic_vector(8 downto 0);
    signal ADC_START_net, ADC_START_ABDELAYFF_net, ADC_PDOWN_net, 
        ADC_RESET_net, ADC_RESET_ABDELAYFF_net : std_logic;
    signal ADC_MODE_net : std_logic_vector(3 downto 0);
    signal ADC_VREFSEL_net : std_logic;
    signal ADC_CHNR_net : std_logic_vector(4 downto 0);
    signal ADC_STC_net : std_logic_vector(7 downto 0);
    signal ADC_TVC_net : std_logic_vector(7 downto 0);
    signal ADC_CALIBRATE_net, ADC_BUSY_net : std_logic;
    signal ADC_RESULT_net : std_logic_vector(11 downto 0);
    signal CM_STB_net_0, CM_STB_net_1, CM_STB_net_2, CM_STB_net_3, 
        CM_STB_net_4, CM_STB_net_5, CM_STB_net_6, CM_STB_net_7, 
        CM_STB_net_8, CM_STB_net_9, TM_STB_net_0, TM_STB_net_1, 
        TM_STB_net_2, TM_STB_net_3, TM_STB_net_4, TM_STB_net_5, 
        TM_STB_net_6, TM_STB_net_7, TM_STB_net_8, TM_STB_net_9, 
        TM_STB_net_10, INIT_ACM_WEN_OR_net, AV0_net, AC0_net, 
        AC1_net, AC2_net, AC3_net, AC4_net, AC5_net, AC6_net, 
        AC7_net, AT0_net, AT1_net, AT2_net, AT3_net, AT4_net, 
        AT5_net, AT6_net, AT7_net, AT8_net : std_logic;
    signal GND_power_net1 : std_logic;
    signal VCC_power_net1 : std_logic;
    signal nc34, nc9, nc13, nc23, nc33, nc16, nc26, nc27, nc17, 
        nc5, nc4, nc25, nc15, nc28, nc18, nc1, nc2, nc22, nc12, 
        nc21, nc11, nc3, nc32, nc31, nc7, nc6, nc19, nc29, nc8, 
        nc20, nc10, nc24, nc14, nc30 : std_logic;

begin 

    ADC_RESULT(11) <= ADC_RESULT_net(11);
    ADC_RESULT(10) <= ADC_RESULT_net(10);
    ADC_RESULT(9) <= ADC_RESULT_net(9);
    ADC_RESULT(8) <= ADC_RESULT_net(8);
    ADC_RESULT(7) <= ADC_RESULT_net(7);
    ADC_RESULT(6) <= ADC_RESULT_net(6);
    ADC_RESULT(5) <= ADC_RESULT_net(5);
    ADC_RESULT(4) <= ADC_RESULT_net(4);
    ADC_RESULT(3) <= ADC_RESULT_net(3);
    ADC_RESULT(2) <= ADC_RESULT_net(2);
    ADC_RESULT(1) <= ADC_RESULT_net(1);
    ADC_RESULT(0) <= ADC_RESULT_net(0);
    ADC_CHNUMBER(4) <= ADC_CHNR_net(4);
    ADC_CHNUMBER(3) <= ADC_CHNR_net(3);
    ADC_CHNUMBER(2) <= ADC_CHNR_net(2);
    ADC_CHNUMBER(1) <= ADC_CHNR_net(1);
    ADC_CHNUMBER(0) <= ADC_CHNR_net(0);
    GND_net <= GND_power_net1;
    VCC_net <= VCC_power_net1;

    AC5_PAD : INBUF_A
      port map(PAD => Volt6, Y => AC5_net);
    
    ABDELAY_AND2A : AND2A
      port map(A => ABDELAY_TERMINAL_COUNT_net, B => INIT_DONE, Y
         => ABDELAY_ENABLE_net);
    
    AT8_PAD : INBUF_A
      port map(PAD => Volt18, Y => AT8_net);
    
    AT6_PAD : INBUF_A
      port map(PAD => Volt16, Y => AT6_net);
    
    AT3_PAD : INBUF_A
      port map(PAD => Volt13, Y => AT3_net);
    
    AC6_PAD : INBUF_A
      port map(PAD => Volt7, Y => AC6_net);
    
    AT1_PAD : INBUF_A
      port map(PAD => Volt10, Y => AT1_net);
    
    AC3_PAD : INBUF_A
      port map(PAD => Volt4, Y => AC3_net);
    
    AT2_PAD : INBUF_A
      port map(PAD => Volt12, Y => AT2_net);
    
    AC1_PAD : INBUF_A
      port map(PAD => Volt2, Y => AC1_net);
    
    Analog_proc1_abdelay_counter_inst : 
        Analog_proc1_abdelay_counter
      port map(Aclr => SYS_RESET, Clock => SYS_CLK, Enable => 
        ABDELAY_ENABLE_net, Q(23) => ABDELAY_TERMINAL_COUNT_net, 
        Q(22) => nc34, Q(21) => nc9, Q(20) => nc13, Q(19) => nc23, 
        Q(18) => nc33, Q(17) => nc16, Q(16) => nc26, Q(15) => 
        nc27, Q(14) => nc17, Q(13) => nc5, Q(12) => nc4, Q(11)
         => nc25, Q(10) => nc15, Q(9) => nc28, Q(8) => nc18, Q(7)
         => nc1, Q(6) => nc2, Q(5) => nc22, Q(4) => nc12, Q(3)
         => nc21, Q(2) => nc11, Q(1) => nc3, Q(0) => nc32);
    
    AB_INST : AB
      generic map(ACT_DIE => "IR6X6M2", ACT_PKG => "fg484")

      port map(DAVOUT0 => OPEN, DACOUT0 => OPEN, DATOUT0 => OPEN, 
        DAVOUT1 => OPEN, DACOUT1 => OPEN, DATOUT1 => OPEN, 
        DAVOUT2 => OPEN, DACOUT2 => OPEN, DATOUT2 => OPEN, 
        DAVOUT3 => OPEN, DACOUT3 => OPEN, DATOUT3 => OPEN, 
        DAVOUT4 => OPEN, DACOUT4 => OPEN, DATOUT4 => OPEN, 
        DAVOUT5 => OPEN, DACOUT5 => OPEN, DATOUT5 => OPEN, 
        DAVOUT6 => OPEN, DACOUT6 => OPEN, DATOUT6 => OPEN, 
        DAVOUT7 => OPEN, DACOUT7 => OPEN, DATOUT7 => OPEN, 
        DAVOUT8 => OPEN, DACOUT8 => OPEN, DATOUT8 => OPEN, 
        DAVOUT9 => OPEN, DACOUT9 => OPEN, DATOUT9 => OPEN, DENAV0
         => GND_net, DENAC0 => GND_net, DENAT0 => GND_net, DENAV1
         => GND_net, DENAC1 => GND_net, DENAT1 => GND_net, DENAV2
         => GND_net, DENAC2 => GND_net, DENAT2 => GND_net, DENAV3
         => GND_net, DENAC3 => GND_net, DENAT3 => GND_net, DENAV4
         => GND_net, DENAC4 => GND_net, DENAT4 => GND_net, DENAV5
         => GND_net, DENAC5 => GND_net, DENAT5 => GND_net, DENAV6
         => GND_net, DENAC6 => GND_net, DENAT6 => GND_net, DENAV7
         => GND_net, DENAC7 => GND_net, DENAT7 => GND_net, DENAV8
         => GND_net, DENAC8 => GND_net, DENAT8 => GND_net, DENAV9
         => GND_net, DENAC9 => GND_net, DENAT9 => GND_net, AV0
         => AV0_net, AC0 => AC0_net, AT0 => AT0_net, AG0 => OPEN, 
        AV1 => GND_net, AC1 => AC1_net, AT1 => AT1_net, AG1 => 
        OPEN, AV2 => GND_net, AC2 => AC2_net, AT2 => AT2_net, AG2
         => OPEN, AV3 => GND_net, AC3 => AC3_net, AT3 => AT3_net, 
        AG3 => OPEN, AV4 => GND_net, AC4 => AC4_net, AT4 => 
        AT4_net, AG4 => OPEN, AV5 => GND_net, AC5 => AC5_net, AT5
         => AT5_net, AG5 => OPEN, AV6 => GND_net, AC6 => AC6_net, 
        AT6 => AT6_net, AG6 => OPEN, AV7 => GND_net, AC7 => 
        AC7_net, AT7 => AT7_net, AG7 => OPEN, AV8 => GND_net, AC8
         => GND_net, AT8 => AT8_net, AG8 => OPEN, AV9 => GND_net, 
        AC9 => GND_net, AT9 => GND_net, AG9 => OPEN, ATRETURN01
         => GND_net, ATRETURN23 => GND_net, ATRETURN45 => GND_net, 
        ATRETURN67 => GND_net, ATRETURN89 => GND_net, VAREF => 
        VAREF, GNDREF => GND_net, GDON0 => GND_net, GDON1 => 
        GND_net, GDON2 => GND_net, GDON3 => GND_net, GDON4 => 
        GND_net, GDON5 => GND_net, GDON6 => GND_net, GDON7 => 
        GND_net, GDON8 => GND_net, GDON9 => GND_net, CMSTB0 => 
        CM_STB_net_0, CMSTB1 => CM_STB_net_1, CMSTB2 => 
        CM_STB_net_2, CMSTB3 => CM_STB_net_3, CMSTB4 => 
        CM_STB_net_4, CMSTB5 => CM_STB_net_5, CMSTB6 => 
        CM_STB_net_6, CMSTB7 => CM_STB_net_7, CMSTB8 => 
        CM_STB_net_8, CMSTB9 => CM_STB_net_9, TMSTB0 => 
        TM_STB_net_0, TMSTB1 => TM_STB_net_1, TMSTB2 => 
        TM_STB_net_2, TMSTB3 => TM_STB_net_3, TMSTB4 => 
        TM_STB_net_4, TMSTB5 => TM_STB_net_5, TMSTB6 => 
        TM_STB_net_6, TMSTB7 => TM_STB_net_7, TMSTB8 => 
        TM_STB_net_8, TMSTB9 => TM_STB_net_9, TMSTBINT => 
        TM_STB_net_10, RESULT(11) => ADC_RESULT_net(11), 
        RESULT(10) => ADC_RESULT_net(10), RESULT(9) => 
        ADC_RESULT_net(9), RESULT(8) => ADC_RESULT_net(8), 
        RESULT(7) => ADC_RESULT_net(7), RESULT(6) => 
        ADC_RESULT_net(6), RESULT(5) => ADC_RESULT_net(5), 
        RESULT(4) => ADC_RESULT_net(4), RESULT(3) => 
        ADC_RESULT_net(3), RESULT(2) => ADC_RESULT_net(2), 
        RESULT(1) => ADC_RESULT_net(1), RESULT(0) => 
        ADC_RESULT_net(0), ACMRDATA(7) => ACMRDATA_I(7), 
        ACMRDATA(6) => ACMRDATA_I(6), ACMRDATA(5) => 
        ACMRDATA_I(5), ACMRDATA(4) => ACMRDATA_I(4), ACMRDATA(3)
         => ACMRDATA_I(3), ACMRDATA(2) => ACMRDATA_I(2), 
        ACMRDATA(1) => ACMRDATA_I(1), ACMRDATA(0) => 
        ACMRDATA_I(0), ACMWDATA(7) => INIT_DATA(7), ACMWDATA(6)
         => INIT_DATA(6), ACMWDATA(5) => INIT_DATA(5), 
        ACMWDATA(4) => INIT_DATA(4), ACMWDATA(3) => INIT_DATA(3), 
        ACMWDATA(2) => INIT_DATA(2), ACMWDATA(1) => INIT_DATA(1), 
        ACMWDATA(0) => INIT_DATA(0), ACMADDR(7) => INIT_ADDR(7), 
        ACMADDR(6) => INIT_ADDR(6), ACMADDR(5) => INIT_ADDR(5), 
        ACMADDR(4) => INIT_ADDR(4), ACMADDR(3) => INIT_ADDR(3), 
        ACMADDR(2) => INIT_ADDR(2), ACMADDR(1) => INIT_ADDR(1), 
        ACMADDR(0) => INIT_ADDR(0), STC(7) => ADC_STC_net(7), 
        STC(6) => ADC_STC_net(6), STC(5) => ADC_STC_net(5), 
        STC(4) => ADC_STC_net(4), STC(3) => ADC_STC_net(3), 
        STC(2) => ADC_STC_net(2), STC(1) => ADC_STC_net(1), 
        STC(0) => ADC_STC_net(0), TVC(7) => ADC_TVC_net(7), 
        TVC(6) => ADC_TVC_net(6), TVC(5) => ADC_TVC_net(5), 
        TVC(4) => ADC_TVC_net(4), TVC(3) => ADC_TVC_net(3), 
        TVC(2) => ADC_TVC_net(2), TVC(1) => ADC_TVC_net(1), 
        TVC(0) => ADC_TVC_net(0), CHNUMBER(4) => ADC_CHNR_net(4), 
        CHNUMBER(3) => ADC_CHNR_net(3), CHNUMBER(2) => 
        ADC_CHNR_net(2), CHNUMBER(1) => ADC_CHNR_net(1), 
        CHNUMBER(0) => ADC_CHNR_net(0), MODE(3) => 
        ADC_MODE_net(3), MODE(2) => ADC_MODE_net(2), MODE(1) => 
        ADC_MODE_net(1), MODE(0) => ADC_MODE_net(0), 
        RTCXTLMODE(1) => nc31, RTCXTLMODE(0) => nc7, ACMRESET => 
        SYS_RESET, ACMCLK => ACMCLK, ACMWEN => 
        INIT_ACM_WEN_OR_net, VAREFSEL => ADC_VREFSEL_net, 
        DATAVALID => DATAVALID, CALIBRATE => ADC_CALIBRATE_net, 
        SAMPLE => OPEN, BUSY => ADC_BUSY_net, PWRDWN => 
        ADC_PDOWN_net, SYSCLK => ABDELAY_GATED_CLK_net, ADCRESET
         => ADC_RESET_ABDELAYFF_net, ADCSTART => 
        ADC_START_ABDELAYFF_net, RTCMATCH => OPEN, RTCPSMMATCH
         => OPEN, RTCXTLSEL => OPEN, RTCCLK => GND_net);
    
    AC2_PAD : INBUF_A
      port map(PAD => Volt3, Y => AC2_net);
    
    Analog_proc1_assc_ram_inst : Analog_proc1_assc_ram
      port map(DATAA(8) => ASSC_RAM_DI_A_net(8), DATAA(7) => 
        ASSC_RAM_DI_A_net(7), DATAA(6) => ASSC_RAM_DI_A_net(6), 
        DATAA(5) => ASSC_RAM_DI_A_net(5), DATAA(4) => 
        ASSC_RAM_DI_A_net(4), DATAA(3) => ASSC_RAM_DI_A_net(3), 
        DATAA(2) => ASSC_RAM_DI_A_net(2), DATAA(1) => 
        ASSC_RAM_DI_A_net(1), DATAA(0) => ASSC_RAM_DI_A_net(0), 
        ADDRESSA(8) => ASSC_RAM_ADDR_A_net(8), ADDRESSA(7) => 
        ASSC_RAM_ADDR_A_net(7), ADDRESSA(6) => 
        ASSC_RAM_ADDR_A_net(6), ADDRESSA(5) => 
        ASSC_RAM_ADDR_A_net(5), ADDRESSA(4) => 
        ASSC_RAM_ADDR_A_net(4), ADDRESSA(3) => 
        ASSC_RAM_ADDR_A_net(3), ADDRESSA(2) => 
        ASSC_RAM_ADDR_A_net(2), ADDRESSA(1) => 
        ASSC_RAM_ADDR_A_net(1), ADDRESSA(0) => 
        ASSC_RAM_ADDR_A_net(0), RWA => ASSC_RAM_RW_A_net, BLKA
         => ASSC_RAM_CSN_A_net, DATAB(8) => ASSC_RAM_DI_B_net(8), 
        DATAB(7) => ASSC_RAM_DI_B_net(7), DATAB(6) => 
        ASSC_RAM_DI_B_net(6), DATAB(5) => ASSC_RAM_DI_B_net(5), 
        DATAB(4) => ASSC_RAM_DI_B_net(4), DATAB(3) => 
        ASSC_RAM_DI_B_net(3), DATAB(2) => ASSC_RAM_DI_B_net(2), 
        DATAB(1) => ASSC_RAM_DI_B_net(1), DATAB(0) => 
        ASSC_RAM_DI_B_net(0), ADDRESSB(8) => 
        ASSC_RAM_ADDR_B_net(8), ADDRESSB(7) => 
        ASSC_RAM_ADDR_B_net(7), ADDRESSB(6) => 
        ASSC_RAM_ADDR_B_net(6), ADDRESSB(5) => 
        ASSC_RAM_ADDR_B_net(5), ADDRESSB(4) => 
        ASSC_RAM_ADDR_B_net(4), ADDRESSB(3) => 
        ASSC_RAM_ADDR_B_net(3), ADDRESSB(2) => 
        ASSC_RAM_ADDR_B_net(2), ADDRESSB(1) => 
        ASSC_RAM_ADDR_B_net(1), ADDRESSB(0) => 
        ASSC_RAM_ADDR_B_net(0), RWB => ASSC_RAM_RW_B_net, BLKB
         => ASSC_RAM_CSN_B_net, CLOCK => SYS_CLK, RESET => 
        SYS_RESET, QA(8) => nc6, QA(7) => nc19, QA(6) => nc29, 
        QA(5) => nc8, QA(4) => nc20, QA(3) => nc10, QA(2) => nc24, 
        QA(1) => nc14, QA(0) => nc30, QB(8) => 
        ASSC_RAM_DO_B_net(8), QB(7) => ASSC_RAM_DO_B_net(7), 
        QB(6) => ASSC_RAM_DO_B_net(6), QB(5) => 
        ASSC_RAM_DO_B_net(5), QB(4) => ASSC_RAM_DO_B_net(4), 
        QB(3) => ASSC_RAM_DO_B_net(3), QB(2) => 
        ASSC_RAM_DO_B_net(2), QB(1) => ASSC_RAM_DO_B_net(1), 
        QB(0) => ASSC_RAM_DO_B_net(0));
    
    INIT_ACMWEN_OR : OR2
      port map(A => INIT_ACM_WEN, B => GND_net, Y => 
        INIT_ACM_WEN_OR_net);
    
    AT0_PAD : INBUF_A
      port map(PAD => Volt9, Y => AT0_net);
    
    AV0_PAD : INBUF_A
      port map(PAD => Volt11, Y => AV0_net);
    
    AT4_PAD : INBUF_A
      port map(PAD => Volt14, Y => AT4_net);
    
    AC0_PAD : INBUF_A
      port map(PAD => Volt1, Y => AC0_net);
    
    AT7_PAD : INBUF_A
      port map(PAD => Volt17, Y => AT7_net);
    
    Analog_proc1_assc_wrapper_inst : Analog_proc1_assc_wrapper
      port map(CLK => SYS_CLK, NRESET => SYS_RESET, INIT_ADDR(8)
         => INIT_ADDR(8), INIT_ADDR(7) => INIT_ADDR(7), 
        INIT_ADDR(6) => INIT_ADDR(6), INIT_ADDR(5) => 
        INIT_ADDR(5), INIT_ADDR(4) => INIT_ADDR(4), INIT_ADDR(3)
         => INIT_ADDR(3), INIT_ADDR(2) => INIT_ADDR(2), 
        INIT_ADDR(1) => INIT_ADDR(1), INIT_ADDR(0) => 
        INIT_ADDR(0), INIT_ASSC_WR => INIT_ASSC_WEN, INIT_DI(8)
         => INIT_DATA(8), INIT_DI(7) => INIT_DATA(7), INIT_DI(6)
         => INIT_DATA(6), INIT_DI(5) => INIT_DATA(5), INIT_DI(4)
         => INIT_DATA(4), INIT_DI(3) => INIT_DATA(3), INIT_DI(2)
         => INIT_DATA(2), INIT_DI(1) => INIT_DATA(1), INIT_DI(0)
         => INIT_DATA(0), INIT_DONE => INIT_DONE, 
        USER_ASSC_ADDR(8) => GND_net, USER_ASSC_ADDR(7) => 
        GND_net, USER_ASSC_ADDR(6) => GND_net, USER_ASSC_ADDR(5)
         => GND_net, USER_ASSC_ADDR(4) => GND_net, 
        USER_ASSC_ADDR(3) => GND_net, USER_ASSC_ADDR(2) => 
        GND_net, USER_ASSC_ADDR(1) => GND_net, USER_ASSC_ADDR(0)
         => GND_net, USER_ASSC_RD => GND_net, EV_ASSC_ADDR(8) => 
        GND_net, EV_ASSC_ADDR(7) => GND_net, EV_ASSC_ADDR(6) => 
        GND_net, EV_ASSC_ADDR(5) => GND_net, EV_ASSC_ADDR(4) => 
        GND_net, EV_ASSC_ADDR(3) => GND_net, EV_ASSC_ADDR(2) => 
        GND_net, EV_ASSC_ADDR(1) => GND_net, EV_ASSC_ADDR(0) => 
        GND_net, EV_ASSC_RD => GND_net, EV_EVFLAG => GND_net, 
        EV_DONE => GND_net, TR_TRFLAG => GND_net, TR_DONE => 
        GND_net, ASSC_SEQIN(5) => ASSC_SEQIN(5), ASSC_SEQIN(4)
         => ASSC_SEQIN(4), ASSC_SEQIN(3) => ASSC_SEQIN(3), 
        ASSC_SEQIN(2) => ASSC_SEQIN(2), ASSC_SEQIN(1) => 
        ASSC_SEQIN(1), ASSC_SEQIN(0) => ASSC_SEQIN(0), 
        ASSC_RAM_DO_B(8) => ASSC_RAM_DO_B_net(8), 
        ASSC_RAM_DO_B(7) => ASSC_RAM_DO_B_net(7), 
        ASSC_RAM_DO_B(6) => ASSC_RAM_DO_B_net(6), 
        ASSC_RAM_DO_B(5) => ASSC_RAM_DO_B_net(5), 
        ASSC_RAM_DO_B(4) => ASSC_RAM_DO_B_net(4), 
        ASSC_RAM_DO_B(3) => ASSC_RAM_DO_B_net(3), 
        ASSC_RAM_DO_B(2) => ASSC_RAM_DO_B_net(2), 
        ASSC_RAM_DO_B(1) => ASSC_RAM_DO_B_net(1), 
        ASSC_RAM_DO_B(0) => ASSC_RAM_DO_B_net(0), ASSC_XMODE => 
        ASSC_XMODE, ASSC_XTRIG => ASSC_XTRIG, ASSC_SEQJUMP => 
        ASSC_SEQJUMP, ADC_CALIBRATE => ADC_CALIBRATE_net, 
        ADC_BUSY => ADC_BUSY_net, ADC_RESULT(11) => 
        ADC_RESULT_net(11), ADC_RESULT(10) => ADC_RESULT_net(10), 
        ADC_RESULT(9) => ADC_RESULT_net(9), ADC_RESULT(8) => 
        ADC_RESULT_net(8), ADC_RESULT(7) => ADC_RESULT_net(7), 
        ADC_RESULT(6) => ADC_RESULT_net(6), ADC_RESULT(5) => 
        ADC_RESULT_net(5), ADC_RESULT(4) => ADC_RESULT_net(4), 
        ADC_RESULT(3) => ADC_RESULT_net(3), ADC_RESULT(2) => 
        ADC_RESULT_net(2), ADC_RESULT(1) => ADC_RESULT_net(1), 
        ADC_RESULT(0) => ADC_RESULT_net(0), USER_ASSC_RAM_BUSY
         => OPEN, ASSC_RAM_ADDR_A(8) => ASSC_RAM_ADDR_A_net(8), 
        ASSC_RAM_ADDR_A(7) => ASSC_RAM_ADDR_A_net(7), 
        ASSC_RAM_ADDR_A(6) => ASSC_RAM_ADDR_A_net(6), 
        ASSC_RAM_ADDR_A(5) => ASSC_RAM_ADDR_A_net(5), 
        ASSC_RAM_ADDR_A(4) => ASSC_RAM_ADDR_A_net(4), 
        ASSC_RAM_ADDR_A(3) => ASSC_RAM_ADDR_A_net(3), 
        ASSC_RAM_ADDR_A(2) => ASSC_RAM_ADDR_A_net(2), 
        ASSC_RAM_ADDR_A(1) => ASSC_RAM_ADDR_A_net(1), 
        ASSC_RAM_ADDR_A(0) => ASSC_RAM_ADDR_A_net(0), 
        ASSC_RAM_RW_A => ASSC_RAM_RW_A_net, ASSC_RAM_CSN_A => 
        ASSC_RAM_CSN_A_net, ASSC_RAM_DI_A(8) => 
        ASSC_RAM_DI_A_net(8), ASSC_RAM_DI_A(7) => 
        ASSC_RAM_DI_A_net(7), ASSC_RAM_DI_A(6) => 
        ASSC_RAM_DI_A_net(6), ASSC_RAM_DI_A(5) => 
        ASSC_RAM_DI_A_net(5), ASSC_RAM_DI_A(4) => 
        ASSC_RAM_DI_A_net(4), ASSC_RAM_DI_A(3) => 
        ASSC_RAM_DI_A_net(3), ASSC_RAM_DI_A(2) => 
        ASSC_RAM_DI_A_net(2), ASSC_RAM_DI_A(1) => 
        ASSC_RAM_DI_A_net(1), ASSC_RAM_DI_A(0) => 
        ASSC_RAM_DI_A_net(0), ASSC_RAM_ADDR_B(8) => 
        ASSC_RAM_ADDR_B_net(8), ASSC_RAM_ADDR_B(7) => 
        ASSC_RAM_ADDR_B_net(7), ASSC_RAM_ADDR_B(6) => 
        ASSC_RAM_ADDR_B_net(6), ASSC_RAM_ADDR_B(5) => 
        ASSC_RAM_ADDR_B_net(5), ASSC_RAM_ADDR_B(4) => 
        ASSC_RAM_ADDR_B_net(4), ASSC_RAM_ADDR_B(3) => 
        ASSC_RAM_ADDR_B_net(3), ASSC_RAM_ADDR_B(2) => 
        ASSC_RAM_ADDR_B_net(2), ASSC_RAM_ADDR_B(1) => 
        ASSC_RAM_ADDR_B_net(1), ASSC_RAM_ADDR_B(0) => 
        ASSC_RAM_ADDR_B_net(0), ASSC_RAM_RW_B => 
        ASSC_RAM_RW_B_net, ASSC_RAM_CSN_B => ASSC_RAM_CSN_B_net, 
        ASSC_RAM_DI_B(8) => ASSC_RAM_DI_B_net(8), 
        ASSC_RAM_DI_B(7) => ASSC_RAM_DI_B_net(7), 
        ASSC_RAM_DI_B(6) => ASSC_RAM_DI_B_net(6), 
        ASSC_RAM_DI_B(5) => ASSC_RAM_DI_B_net(5), 
        ASSC_RAM_DI_B(4) => ASSC_RAM_DI_B_net(4), 
        ASSC_RAM_DI_B(3) => ASSC_RAM_DI_B_net(3), 
        ASSC_RAM_DI_B(2) => ASSC_RAM_DI_B_net(2), 
        ASSC_RAM_DI_B(1) => ASSC_RAM_DI_B_net(1), 
        ASSC_RAM_DI_B(0) => ASSC_RAM_DI_B_net(0), ASSC_SEQOUT(5)
         => ASSC_SEQOUT(5), ASSC_SEQOUT(4) => ASSC_SEQOUT(4), 
        ASSC_SEQOUT(3) => ASSC_SEQOUT(3), ASSC_SEQOUT(2) => 
        ASSC_SEQOUT(2), ASSC_SEQOUT(1) => ASSC_SEQOUT(1), 
        ASSC_SEQOUT(0) => ASSC_SEQOUT(0), ASSC_SEQCHANGE => 
        ASSC_SEQCHANGE, ASSC_DONE => ASSC_DONE, ASSC_WAIT => 
        ASSC_WAIT, ASSC_SAMPFLAG => ASSC_SAMPFLAG, ASSC_CHSAT => 
        ASSC_CHSAT, ASSC_CHLATD => ASSC_CHLATD, ADC_START => 
        ADC_START_net, ADC_PDOWN => ADC_PDOWN_net, ADC_RESET => 
        ADC_RESET_net, ADC_MODE(3) => ADC_MODE_net(3), 
        ADC_MODE(2) => ADC_MODE_net(2), ADC_MODE(1) => 
        ADC_MODE_net(1), ADC_MODE(0) => ADC_MODE_net(0), 
        ADC_VREFSEL => ADC_VREFSEL_net, ADC_CHNR(4) => 
        ADC_CHNR_net(4), ADC_CHNR(3) => ADC_CHNR_net(3), 
        ADC_CHNR(2) => ADC_CHNR_net(2), ADC_CHNR(1) => 
        ADC_CHNR_net(1), ADC_CHNR(0) => ADC_CHNR_net(0), 
        ADC_STC(7) => ADC_STC_net(7), ADC_STC(6) => 
        ADC_STC_net(6), ADC_STC(5) => ADC_STC_net(5), ADC_STC(4)
         => ADC_STC_net(4), ADC_STC(3) => ADC_STC_net(3), 
        ADC_STC(2) => ADC_STC_net(2), ADC_STC(1) => 
        ADC_STC_net(1), ADC_STC(0) => ADC_STC_net(0), ADC_DVC(7)
         => ADC_TVC_net(7), ADC_DVC(6) => ADC_TVC_net(6), 
        ADC_DVC(5) => ADC_TVC_net(5), ADC_DVC(4) => 
        ADC_TVC_net(4), ADC_DVC(3) => ADC_TVC_net(3), ADC_DVC(2)
         => ADC_TVC_net(2), ADC_DVC(1) => ADC_TVC_net(1), 
        ADC_DVC(0) => ADC_TVC_net(0), CM_STB(9) => CM_STB_net_9, 
        CM_STB(8) => CM_STB_net_8, CM_STB(7) => CM_STB_net_7, 
        CM_STB(6) => CM_STB_net_6, CM_STB(5) => CM_STB_net_5, 
        CM_STB(4) => CM_STB_net_4, CM_STB(3) => CM_STB_net_3, 
        CM_STB(2) => CM_STB_net_2, CM_STB(1) => CM_STB_net_1, 
        CM_STB(0) => CM_STB_net_0, TM_STB(10) => TM_STB_net_10, 
        TM_STB(9) => TM_STB_net_9, TM_STB(8) => TM_STB_net_8, 
        TM_STB(7) => TM_STB_net_7, TM_STB(6) => TM_STB_net_6, 
        TM_STB(5) => TM_STB_net_5, TM_STB(4) => TM_STB_net_4, 
        TM_STB(3) => TM_STB_net_3, TM_STB(2) => TM_STB_net_2, 
        TM_STB(1) => TM_STB_net_1, TM_STB(0) => TM_STB_net_0, 
        ASSC_RAM_WR_BUSY_B => OPEN);
    
    AC4_PAD : INBUF_A
      port map(PAD => Volt5, Y => AC4_net);
    
    ABDELAY_ADCRESET_NEGFF : DFN0P0
      port map(D => ADC_RESET_net, CLK => SYS_CLK, PRE => 
        SYS_RESET, Q => ADC_RESET_ABDELAYFF_net);
    
    AT5_PAD : INBUF_A
      port map(PAD => Volt15, Y => AT5_net);
    
    AC7_PAD : INBUF_A
      port map(PAD => Volt8, Y => AC7_net);
    
    ABDELAY_OR2A : OR2A
      port map(A => ABDELAY_TERMINAL_COUNT_net, B => SYS_CLK, Y
         => ABDELAY_GATED_CLK_net);
    
    ABDELAY_ADCSTART_NEGFF : DFN0C0
      port map(D => ADC_START_net, CLK => SYS_CLK, CLR => 
        SYS_RESET, Q => ADC_START_ABDELAYFF_net);
    
    GND_power_inst1 : GND
      port map( Y => GND_power_net1);

    VCC_power_inst1 : VCC
      port map( Y => VCC_power_net1);


end DEF_ARCH; 

-- _Disclaimer: Please leave the following comments in the file, they are for internal purposes only._

-- _CFG_File_Contents_

-- 
-- adc_set_engine -hdl VHDL \
--                -toplevel "Analog_proc1" \
--                -workdir {.} \
--                -commondir {./common} \
--                -die "AFS600" \
--                -package "484 FBGA" \
--                -memory_file_format INTELHEX \
--                -verbosity 0
-- 
-- adc_set_system -system_frequency " 40.00 Mhz" \
--                -mode 10 \
--                -calibrate 1 \
--                -vref_capacitor " 10.000 uF" \
--                -include_calibration_block 0 \
--                -calibration_propagate_saturation 1 \
--                -allow_assc_repeat 0 \
--                -export_assc_status 1 \
--                -export_smev_status 0 \
--                -export_assc_ram 0 \
--                -export_smev_ram 0 \
--                -export_adc_result 1 \
--                -export_adc_status 0 \
--                -export_acm_clk 1 \
--                -export_acm_bus 1 \
--                -export_acm_bus_independent 0 \
--                -system_configuration "ASSC_ONLY" 
-- 
-- adc_set_rtc -enable 0 \
--             -osc_mode "EXTERNAL_CRYSTAL" \
--             -rtc_frequency " 32.000 Khz" \
--             -alarm_day 0 \
--             -alarm_hour 0 \
--             -alarm_minute 0 \
--             -alarm_second 0 \
--             -alarm_millisecond 0 \
--             -alarm_microsecond 0 \
--             -reset_count_on_match 1 \
--             -enable_vr 0
-- 
-- adc_set_voltage_channel -channel_name Volt1 \
--                         -maximum_supply_voltage " 2.760000 V" \
--                         -pre_scalar " 4.000000 V" \
--                         -post_scalar " 4.000000 V" \
--                         -use_prescalar 0 \
--                         -number_of_samples_to_average 1 \
--                         -initial_averaging_value " 0.000000 V" \
--                         -settling_time " 0.200 us" \
--                         -package_pin Y6
-- 
-- 
-- adc_set_voltage_channel -channel_name Volt2 \
--                         -maximum_supply_voltage " 2.760000 V" \
--                         -pre_scalar " 4.000000 V" \
--                         -post_scalar " 4.000000 V" \
--                         -use_prescalar 0 \
--                         -number_of_samples_to_average 1 \
--                         -initial_averaging_value " 0.000000 V" \
--                         -settling_time " 0.200 us" \
--                         -package_pin Y8
-- 
-- 
-- adc_set_voltage_channel -channel_name Volt3 \
--                         -maximum_supply_voltage " 2.760000 V" \
--                         -pre_scalar " 4.000000 V" \
--                         -post_scalar " 4.000000 V" \
--                         -use_prescalar 0 \
--                         -number_of_samples_to_average 1 \
--                         -initial_averaging_value " 0.000000 V" \
--                         -settling_time " 0.200 us" \
--                         -package_pin Y9
-- 
-- 
-- adc_set_voltage_channel -channel_name Volt4 \
--                         -maximum_supply_voltage " 2.760000 V" \
--                         -pre_scalar " 4.000000 V" \
--                         -post_scalar " 4.000000 V" \
--                         -use_prescalar 0 \
--                         -number_of_samples_to_average 1 \
--                         -initial_averaging_value " 0.000000 V" \
--                         -settling_time " 0.200 us" \
--                         -package_pin Y11
-- 
-- 
-- adc_set_voltage_channel -channel_name Volt5 \
--                         -maximum_supply_voltage " 2.760000 V" \
--                         -pre_scalar " 4.000000 V" \
--                         -post_scalar " 4.000000 V" \
--                         -use_prescalar 0 \
--                         -number_of_samples_to_average 1 \
--                         -initial_averaging_value " 0.000000 V" \
--                         -settling_time " 0.200 us" \
--                         -package_pin U10
-- 
-- 
-- adc_set_voltage_channel -channel_name Volt6 \
--                         -maximum_supply_voltage " 4.000000 V" \
--                         -pre_scalar " 4.000000 V" \
--                         -post_scalar " 4.000000 V" \
--                         -use_prescalar 1 \
--                         -number_of_samples_to_average 1 \
--                         -initial_averaging_value " 0.000000 V" \
--                         -settling_time " 10.000 us" \
--                         -package_pin T13
-- 
-- 
-- adc_set_voltage_channel -channel_name Volt7 \
--                         -maximum_supply_voltage " 2.760000 V" \
--                         -pre_scalar " 4.000000 V" \
--                         -post_scalar " 4.000000 V" \
--                         -use_prescalar 0 \
--                         -number_of_samples_to_average 1 \
--                         -initial_averaging_value " 0.000000 V" \
--                         -settling_time " 0.200 us" \
--                         -package_pin Y12
-- 
-- 
-- adc_set_voltage_channel -channel_name Volt8 \
--                         -maximum_supply_voltage " 2.760000 V" \
--                         -pre_scalar " 4.000000 V" \
--                         -post_scalar " 4.000000 V" \
--                         -use_prescalar 0 \
--                         -number_of_samples_to_average 1 \
--                         -initial_averaging_value " 0.000000 V" \
--                         -settling_time " 0.200 us" \
--                         -package_pin Y14
-- 
-- 
-- adc_set_voltage_channel -channel_name Volt9 \
--                         -maximum_supply_voltage " 10.000000 V" \
--                         -pre_scalar " 16.000000 V" \
--                         -post_scalar " 16.000000 V" \
--                         -use_prescalar 1 \
--                         -number_of_samples_to_average 1 \
--                         -initial_averaging_value " 0.000000 V" \
--                         -settling_time " 10.000 us"
-- 
-- adc_set_voltage_channel -channel_name Volt10 \
--                         -maximum_supply_voltage " 10.000000 V" \
--                         -pre_scalar " 16.000000 V" \
--                         -post_scalar " 16.000000 V" \
--                         -use_prescalar 1 \
--                         -number_of_samples_to_average 1 \
--                         -initial_averaging_value " 0.000000 V" \
--                         -settling_time " 10.000 us"
-- 
-- adc_set_voltage_channel -channel_name Volt11 \
--                         -maximum_supply_voltage " 5.000000 V" \
--                         -pre_scalar " 8.000000 V" \
--                         -post_scalar " 8.000000 V" \
--                         -use_prescalar 1 \
--                         -number_of_samples_to_average 1 \
--                         -initial_averaging_value " 0.000000 V" \
--                         -settling_time " 10.000 us"
-- 
-- adc_set_voltage_channel -channel_name Volt12 \
--                         -maximum_supply_voltage " 4.000000 V" \
--                         -pre_scalar " 4.000000 V" \
--                         -post_scalar " 4.000000 V" \
--                         -use_prescalar 1 \
--                         -number_of_samples_to_average 1 \
--                         -initial_averaging_value " 0.000000 V" \
--                         -settling_time " 10.000 us"
-- 
-- adc_set_voltage_channel -channel_name Volt13 \
--                         -maximum_supply_voltage " 4.000000 V" \
--                         -pre_scalar " 4.000000 V" \
--                         -post_scalar " 4.000000 V" \
--                         -use_prescalar 1 \
--                         -number_of_samples_to_average 1 \
--                         -initial_averaging_value " 0.000000 V" \
--                         -settling_time " 10.000 us"
-- 
-- adc_set_voltage_channel -channel_name Volt14 \
--                         -maximum_supply_voltage " 4.000000 V" \
--                         -pre_scalar " 4.000000 V" \
--                         -post_scalar " 4.000000 V" \
--                         -use_prescalar 1 \
--                         -number_of_samples_to_average 1 \
--                         -initial_averaging_value " 0.000000 V" \
--                         -settling_time " 10.000 us"
-- 
-- adc_set_voltage_channel -channel_name Volt15 \
--                         -maximum_supply_voltage " 4.000000 V" \
--                         -pre_scalar " 4.000000 V" \
--                         -post_scalar " 4.000000 V" \
--                         -use_prescalar 1 \
--                         -number_of_samples_to_average 1 \
--                         -initial_averaging_value " 0.000000 V" \
--                         -settling_time " 10.000 us"
-- 
-- adc_set_voltage_channel -channel_name Volt16 \
--                         -maximum_supply_voltage " 4.000000 V" \
--                         -pre_scalar " 4.000000 V" \
--                         -post_scalar " 4.000000 V" \
--                         -use_prescalar 1 \
--                         -number_of_samples_to_average 1 \
--                         -initial_averaging_value " 0.000000 V" \
--                         -settling_time " 10.000 us"
-- 
-- adc_set_voltage_channel -channel_name Volt17 \
--                         -maximum_supply_voltage " 4.000000 V" \
--                         -pre_scalar " 4.000000 V" \
--                         -post_scalar " 4.000000 V" \
--                         -use_prescalar 1 \
--                         -number_of_samples_to_average 1 \
--                         -initial_averaging_value " 0.000000 V" \
--                         -settling_time " 10.000 us"
-- 
-- adc_set_voltage_channel -channel_name Volt18 \
--                         -maximum_supply_voltage " 4.000000 V" \
--                         -pre_scalar " 4.000000 V" \
--                         -post_scalar " 4.000000 V" \
--                         -use_prescalar 1 \
--                         -number_of_samples_to_average 1 \
--                         -initial_averaging_value " 0.000000 V" \
--                         -settling_time " 10.000 us"
-- 
-- adc_set_internal_temperature_channel -channel_name INTERNAL_TEMPERATURE \
--                         -number_of_samples_to_average 1 \
--                         -initial_averaging_value " 0.000 C" \
--                         -settling_time " 5.000 us"
-- 
-- adc_set_internal_voltage_channel -channel_name INTERNAL_VOLTAGE \
--                         -number_of_samples_to_average 1 \
--                         -initial_averaging_value " 0.000000 V" \
--                         -settling_time " 0.200 us"
-- 
-- adc_set_sequencer -use_external_trigger 1 
-- 
-- adc_set_sequencer_procedure -procedure_name Main \
--                             -lock 1 \
--                             -start_slot 0
-- 
-- adc_set_sequencer_procedure_req -procedure_name Main \
--                                 -signal_name Volt1 \
--                                 -rate_requirement " 64.000 Ksps" 
-- 
-- adc_set_sequencer_procedure_req -procedure_name Main \
--                                 -signal_name Volt2 \
--                                 -rate_requirement " 64.000 Ksps" 
-- 
-- adc_set_sequencer_procedure_req -procedure_name Main \
--                                 -signal_name Volt3 \
--                                 -rate_requirement " 64.000 Ksps" 
-- 
-- adc_set_sequencer_procedure_req -procedure_name Main \
--                                 -signal_name Volt4 \
--                                 -rate_requirement " 64.000 Ksps" 
-- 
-- adc_set_sequencer_procedure_slot -procedure_name Main \
--                                  -logical_slot 0 \
--                                  -function SAMPLE \
--                                  -signal_name Volt1 \
--                                  -repeat 0 
-- 
-- adc_set_sequencer_procedure_slot -procedure_name Main \
--                                  -logical_slot 1 \
--                                  -function SAMPLE \
--                                  -signal_name Volt2 \
--                                  -repeat 0 
-- 
-- adc_set_sequencer_procedure_slot -procedure_name Main \
--                                  -logical_slot 2 \
--                                  -function SAMPLE \
--                                  -signal_name Volt3 \
--                                  -repeat 0 
-- 
-- adc_set_sequencer_procedure_slot -procedure_name Main \
--                                  -logical_slot 3 \
--                                  -function SAMPLE_JUMP \
--                                  -signal_name Volt4 \
--                                  -jump_procedure_name Main \
--                                  -repeat 0 
-- 
-- adc_set_sequencer_procedure -procedure_name Jump1 \
--                             -lock 0 \
--                             -start_slot 4
-- 
-- adc_set_sequencer_procedure_req -procedure_name Jump1 \
--                                 -signal_name Volt5 \
--                                 -rate_requirement " 32.000 Ksps" 
-- 
-- adc_set_sequencer_procedure_slot -procedure_name Jump1 \
--                                  -logical_slot 0 \
--                                  -function SAMPLE_JUMP \
--                                  -signal_name Volt5 \
--                                  -jump_procedure_name Main \
--                                  -repeat 0 
-- 
-- adc_set_sequencer_procedure -procedure_name Jump2 \
--                             -lock 0 \
--                             -start_slot 5
-- 
-- adc_set_sequencer_procedure_req -procedure_name Jump2 \
--                                 -signal_name Volt7 
-- 
-- adc_set_sequencer_procedure_req -procedure_name Jump2 \
--                                 -signal_name Volt8 
-- 
-- adc_set_sequencer_procedure_slot -procedure_name Jump2 \
--                                  -logical_slot 0 \
--                                  -function SAMPLE \
--                                  -signal_name Volt7 \
--                                  -repeat 0 
-- 
-- adc_set_sequencer_procedure_slot -procedure_name Jump2 \
--                                  -logical_slot 1 \
--                                  -function SAMPLE_JUMP \
--                                  -signal_name Volt8 \
--                                  -jump_procedure_name Main \
--                                  -repeat 0 
-- 
-- adc_set_sequencer_procedure -procedure_name Jump3 \
--                             -lock 0 \
--                             -start_slot 7
-- 
-- adc_set_sequencer_procedure_req -procedure_name Jump3 \
--                                 -signal_name Volt6 
-- 
-- adc_set_sequencer_procedure_slot -procedure_name Jump3 \
--                                  -logical_slot 0 \
--                                  -function SAMPLE_JUMP \
--                                  -signal_name Volt6 \
--                                  -jump_procedure_name Main \
--                                  -repeat 0 
-- 
-- adc_set_sequencer_procedure -procedure_name Jump4 \
--                             -lock 0 \
--                             -start_slot 8
-- 
-- adc_set_sequencer_procedure_req -procedure_name Jump4 \
--                                 -signal_name Volt9 
-- 
-- adc_set_sequencer_procedure_slot -procedure_name Jump4 \
--                                  -logical_slot 0 \
--                                  -function SAMPLE_JUMP \
--                                  -signal_name Volt9 \
--                                  -jump_procedure_name Main \
--                                  -repeat 0 
-- 
-- adc_set_sequencer_procedure -procedure_name Jump5 \
--                             -lock 0 \
--                             -start_slot 9
-- 
-- adc_set_sequencer_procedure_req -procedure_name Jump5 \
--                                 -signal_name Volt10 
-- 
-- adc_set_sequencer_procedure_slot -procedure_name Jump5 \
--                                  -logical_slot 0 \
--                                  -function SAMPLE_JUMP \
--                                  -signal_name Volt10 \
--                                  -jump_procedure_name Main \
--                                  -repeat 0 
-- 
-- adc_set_sequencer_procedure -procedure_name Jump6 \
--                             -lock 0 \
--                             -start_slot 10
-- 
-- adc_set_sequencer_procedure_req -procedure_name Jump6 \
--                                 -signal_name Volt11 
-- 
-- adc_set_sequencer_procedure_slot -procedure_name Jump6 \
--                                  -logical_slot 0 \
--                                  -function SAMPLE_JUMP \
--                                  -signal_name Volt11 \
--                                  -jump_procedure_name Main \
--                                  -repeat 0 
-- 
-- adc_set_sequencer_procedure -procedure_name Jump7 \
--                             -lock 0 \
--                             -start_slot 11
-- 
-- adc_set_sequencer_procedure_req -procedure_name Jump7 \
--                                 -signal_name Volt12 
-- 
-- adc_set_sequencer_procedure_slot -procedure_name Jump7 \
--                                  -logical_slot 0 \
--                                  -function SAMPLE_JUMP \
--                                  -signal_name Volt12 \
--                                  -jump_procedure_name Main \
--                                  -repeat 0 
-- 
-- adc_set_sequencer_procedure -procedure_name Jump8 \
--                             -lock 0 \
--                             -start_slot 12
-- 
-- adc_set_sequencer_procedure_req -procedure_name Jump8 \
--                                 -signal_name Volt13 
-- 
-- adc_set_sequencer_procedure_slot -procedure_name Jump8 \
--                                  -logical_slot 0 \
--                                  -function SAMPLE_JUMP \
--                                  -signal_name Volt13 \
--                                  -jump_procedure_name Main \
--                                  -repeat 0 
-- 
-- adc_set_sequencer_procedure -procedure_name Jump9 \
--                             -lock 0 \
--                             -start_slot 13
-- 
-- adc_set_sequencer_procedure_req -procedure_name Jump9 \
--                                 -signal_name Volt14 
-- 
-- adc_set_sequencer_procedure_slot -procedure_name Jump9 \
--                                  -logical_slot 0 \
--                                  -function SAMPLE_JUMP \
--                                  -signal_name Volt14 \
--                                  -jump_procedure_name Main \
--                                  -repeat 0 
-- 
-- adc_set_sequencer_procedure -procedure_name Jump10 \
--                             -lock 0 \
--                             -start_slot 14
-- 
-- adc_set_sequencer_procedure_req -procedure_name Jump10 \
--                                 -signal_name Volt15 
-- 
-- adc_set_sequencer_procedure_slot -procedure_name Jump10 \
--                                  -logical_slot 0 \
--                                  -function SAMPLE_JUMP \
--                                  -signal_name Volt15 \
--                                  -jump_procedure_name Main \
--                                  -repeat 0 
-- 
-- adc_set_sequencer_procedure -procedure_name Jump11 \
--                             -lock 0 \
--                             -start_slot 15
-- 
-- adc_set_sequencer_procedure_req -procedure_name Jump11 \
--                                 -signal_name Volt16 
-- 
-- adc_set_sequencer_procedure_slot -procedure_name Jump11 \
--                                  -logical_slot 0 \
--                                  -function SAMPLE_JUMP \
--                                  -signal_name Volt16 \
--                                  -jump_procedure_name Main \
--                                  -repeat 0 
-- 
-- adc_set_sequencer_procedure -procedure_name Jump12 \
--                             -lock 0 \
--                             -start_slot 16
-- 
-- adc_set_sequencer_procedure_req -procedure_name Jump12 \
--                                 -signal_name Volt17 
-- 
-- adc_set_sequencer_procedure_slot -procedure_name Jump12 \
--                                  -logical_slot 0 \
--                                  -function SAMPLE_JUMP \
--                                  -signal_name Volt17 \
--                                  -jump_procedure_name Main \
--                                  -repeat 0 
-- 
-- adc_set_sequencer_procedure -procedure_name Jump13 \
--                             -lock 0 \
--                             -start_slot 17
-- 
-- adc_set_sequencer_procedure_req -procedure_name Jump13 \
--                                 -signal_name Volt18 
-- 
-- adc_set_sequencer_procedure_slot -procedure_name Jump13 \
--                                  -logical_slot 0 \
--                                  -function SAMPLE_JUMP \
--                                  -signal_name Volt18 \
--                                  -jump_procedure_name Main \
--                                  -repeat 0 
-- 
-- adc_set_sequencer_procedure -procedure_name Jump14 \
--                             -lock 0 \
--                             -start_slot 18
-- 
-- adc_set_sequencer_procedure_req -procedure_name Jump14 \
--                                 -signal_name INTERNAL_TEMPERATURE 
-- 
-- adc_set_sequencer_procedure_slot -procedure_name Jump14 \
--                                  -logical_slot 0 \
--                                  -function SAMPLE_JUMP \
--                                  -signal_name INTERNAL_TEMPERATURE \
--                                  -jump_procedure_name Main \
--                                  -repeat 0 
-- 
-- adc_set_sequencer_procedure -procedure_name Jump15 \
--                             -lock 0 \
--                             -start_slot 19
-- 
-- adc_set_sequencer_procedure_req -procedure_name Jump15 \
--                                 -signal_name INTERNAL_VOLTAGE 
-- 
-- adc_set_sequencer_procedure_slot -procedure_name Jump15 \
--                                  -logical_slot 0 \
--                                  -function SAMPLE_JUMP \
--                                  -signal_name INTERNAL_VOLTAGE \
--                                  -jump_procedure_name Main \
--                                  -repeat 0 

-- _GEN_File_Contents_

-- DESIGN:Analog_proc1
-- DESDIR:D:/Apps/app_notes/Fusion/improvedthroughput/throughput enhancement/Fusion_ADC_Throughput/Fusion_ADC_Throughput/smartgen\Analog_proc1
-- FAM:Fusion
-- MGNCMPL:F
-- MGNTIMER:F
-- OUTFORMAT:VHDL
-- LPMTYPE:LPM_ANALOGSYS
-- LPM_HINT:NONE
-- CONFIGFILE:Analog_proc1.cfg

-- _End_Comments_

